SDL Library Documentation
Prev |  | Next

# SDL_UpdateRect

## Name

SDL_UpdateRect -- Makes sure the given area is updated on the given screen.

## Synopsis

    #include "SDL.h"

``void SDL_UpdateRect`(SDL_Surface *screen, Sint32 x, Sint32 y, Sint32 w, Sint32 h);`

## Description

Makes sure the given area is updated on the given screen.

If '`x`', '`y`', '`w`' and '`h`' are all 0, `SDL_UpdateRect` will update the entire screen.

This function should not be called while '`screen`' is locked.

## See Also

`SDL_UpdateRects`, SDL_Rect, SDL_Surface, `SDL_LockSurface`

Prev | Home | Next
SDL_SetVideoMode | Up | SDL_UpdateRects